commit:     de078cee28c7f8d75f5098138ac160a2d79f44ae
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Sun Jun  4 18:24:37 2017 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Jun 11 08:50:14 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de078cee

dev-python/rebulk: verbump to 0.9.0

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-python/rebulk/Manifest            |  1 +
 dev-python/rebulk/rebulk-0.9.0.ebuild | 40 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/rebulk/Manifest b/dev-python/rebulk/Manifest
index 3c8efcaee76..0d80889b3e3 100644
--- a/dev-python/rebulk/Manifest
+++ b/dev-python/rebulk/Manifest
@@ -1 +1,2 @@
 DIST rebulk-0.8.2.tar.gz 257147 SHA256 
8c09901bda7b79a21d46faf489d67d017aa54d38bdabdb53f824068a6640401a SHA512 
7abbeb1974102db4846759de6c797b9fb0b81a6ffe573d8a7590342da8ed5b4c006258407540be8563d51fb36ac2a148132e879586a200a923cfe93dcc715bee
 WHIRLPOOL 
e50c3ca72801a11f9d926ea42572c910fba1660cdf6827bd2a00755beb808711dd2718a433c983bf20792bd7a05faf3820eb3477dbb639fe170dae68779a28c9
+DIST rebulk-0.9.0.tar.gz 257342 SHA256 
e0c69bdddccbba3ef881948ea96f1d62eda91201c306ea568a676507a30985eb SHA512 
25a22b3a5f5519f6f8c10abf6a477f212c0500264cfdcc5a9be09d3818462a051b1a7cd78f94991c44ac6bcdc7435b9909e65de48d1bd8138989e0da98d10262
 WHIRLPOOL 
7b5e280c2598be73a6da96eda2c192698c94f3e8e8a57738f0527b119aa995e7ffb55bb0bfd1b81462b2e8043195e8cd84240df7b4d992374af0f5db674496cd

diff --git a/dev-python/rebulk/rebulk-0.9.0.ebuild 
b/dev-python/rebulk/rebulk-0.9.0.ebuild
new file mode 100644
index 00000000000..d2d95bd81f6
--- /dev/null
+++ b/dev-python/rebulk/rebulk-0.9.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library that performs advanced searches in strings"
+HOMEPAGE="https://github.com/Toilal/rebulk https://pypi.python.org/pypi/rebulk";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+       )
+"
+
+python_prepare_all() {
+       # Remove base64-encoded zip archive with pytest.
+       rm runtests.py || die
+
+       # Disable unconditional dependency on dev-python/pytest-runner.
+       sed -i -e "s|'pytest-runner'||g" setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       esetup.py test
+}

Reply via email to